import Joi from "joi";

export const getUserByIdValidator = Joi.object({
    id: Joi.number().required().messages({
        'number.base': 'ID must be a number',
        'number.empty': 'ID is required',
        'number.required': 'ID is required'
    })
})

export const updateUserRoleValidator = Joi.object({
    id: Joi.number().required().messages({
        'number.base': 'ID must be a number',
        'number.empty': 'ID is required',
        'number.required': 'ID is required'
    }),
    role_id: Joi.number().required().messages({
        'number.base': 'Role ID must be a number',
        'number.empty': 'Role ID is required',
        'number.required': 'Role ID is required'
    })
})